Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.adaptor.http
Class HttpConstants

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.adaptor.http.HttpConstants

public class HttpConstants
extends java.lang.Object

Author:
  Young Yang

Field Summary
`static java.lang.String` | `AUTHORIZATION_HEADER`
`static java.lang.String` | `CONNECTION`
`static java.lang.String` | `CONTENT_LENGTH_HEADER`
`static java.lang.String` | `CONTENT_TYPE_HEADER`
`static java.lang.String` | `CRLF`
`static java.lang.String` | `DATE_HEADER`
`static int` | `HTTP_BAD_REQUEST`
`static java.lang.String` | `HTTP_ERROR_ATTRIBUTE_NOT_FOUND`
`static int` | `HTTP_ERROR_ATTRIBUTE_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_BAD_REQUEST`
`static int` | `HTTP_ERROR_BAD_REQUEST_ID`
`static java.lang.String` | `HTTP_ERROR_CLASS_NOT_FOUND`
`static int` | `HTTP_ERROR_CLASS_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_DOMAIN_NOT_FOUND`
`static int` | `HTTP_ERROR_DOMAIN_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_ILLEGAL_ACCESS`
`static int` | `HTTP_ERROR_ILLEGAL_ACCESS_ID`
`static java.lang.String` | `HTTP_ERROR_INSTANCE_ALREADY_EXISTS`
`static int` | `HTTP_ERROR_INSTANCE_ALREADY_EXISTS_ID`
`static java.lang.String` | `HTTP_ERROR_INSTANCE_NOT_FOUND`
`static int` | `HTTP_ERROR_INSTANCE_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_INSTANTIATION`
`static int` | `HTTP_ERROR_INSTANTIATION_ID`
`static java.lang.String` | `HTTP_ERROR_INTROSPECTION`
`static int` | `HTTP_ERROR_INTROSPECTION_ID`
`static java.lang.String` | `HTTP_ERROR_INVALID_PROP_VALUE`
`static int` | `HTTP_ERROR_INVALID_PROP_VALUE_ID`
`static java.lang.String` | `HTTP_ERROR_INVOCATION_TARGET`
`static int` | `HTTP_ERROR_INVOCATION_TARGET_ID`
`static java.lang.String` | `HTTP_ERROR_MALFORMED_OBJECTNAME`
`static int` | `HTTP_ERROR_MALFORMED_OBJECTNAME_ID`
`static java.lang.String` | `HTTP_ERROR_MBEAN`
`static int` | `HTTP_ERROR_MBEAN_ID`
`static java.lang.String` | `HTTP_ERROR_MBEAN_REGISTRATION`
`static int` | `HTTP_ERROR_MBEAN_REGISTRATION_ID`
`static java.lang.String` | `HTTP_ERROR_NO_SUCH_METHOD`
`static int` | `HTTP_ERROR_NO_SUCH_METHOD_ID`
`static java.lang.String` | `HTTP_ERROR_NOT_COMPLIANT_MBEAN`
`static int` | `HTTP_ERROR_NOT_COMPLIANT_MBEAN_ID`
`static java.lang.String` | `HTTP_ERROR_NOT_FOUND`
`static int` | `HTTP_ERROR_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_PERMISSION_DENIED`
`static int` | `HTTP_ERROR_PERMISSION_DENIED_ID`
`static java.lang.String` | `HTTP_ERROR_PROPERTY_NOT_FOUND`
`static int` | `HTTP_ERROR_PROPERTY_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_REFLECTION`
`static int` | `HTTP_ERROR_REFLECTION_ID`
`static java.lang.String` | `HTTP_ERROR_SERVICE_NOT_FOUND`
`static int` | `HTTP_ERROR_SERVICE_NOT_FOUND_ID`
`static java.lang.String` | `HTTP_ERROR_SET_ATTRIBUTES`
`static int` | `HTTP_ERROR_SET_ATTRIBUTES_ID`
`static java.lang.String` | `HTTP_ERROR_UNAUTHORIZED_REQUEST`
`static int` | `HTTP_ERROR_UNAUTHORIZED_REQUEST_ID`
`static int` | `HTTP_GET_REQUEST`
`static int` | `HTTP_HEAD_REQUEST`
`static int` | `HTTP_POST_REQUEST`
`static java.lang.String` | `HTTP_REPLY_OK`
`static int` | `HTTP_REPLY_OK_ID`
`static java.lang.String` | `WWW_AUTHENTICATE_HEADER`

Constructor Summary
`HttpConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CRLF

    public static final java.lang.String CRLF

See Also:
  Constant Field Values

### HTTP_REPLY_OK

    public static final java.lang.String HTTP_REPLY_OK

See Also:
  Constant Field Values

### HTTP_REPLY_OK_ID

    public static final int HTTP_REPLY_OK_ID

See Also:
  Constant Field Values

### HTTP_ERROR_BAD_REQUEST

    public static final java.lang.String HTTP_ERROR_BAD_REQUEST

See Also:
  Constant Field Values

### HTTP_ERROR_BAD_REQUEST_ID

    public static final int HTTP_ERROR_BAD_REQUEST_ID

See Also:
  Constant Field Values

### HTTP_ERROR_UNAUTHORIZED_REQUEST

    public static final java.lang.String HTTP_ERROR_UNAUTHORIZED_REQUEST

See Also:
  Constant Field Values

### HTTP_ERROR_UNAUTHORIZED_REQUEST_ID

    public static final int HTTP_ERROR_UNAUTHORIZED_REQUEST_ID

See Also:
  Constant Field Values

### HTTP_ERROR_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_NOT_FOUND_ID

    public static final int HTTP_ERROR_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_DOMAIN_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_DOMAIN_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_DOMAIN_NOT_FOUND_ID

    public static final int HTTP_ERROR_DOMAIN_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_INSTANTIATION

    public static final java.lang.String HTTP_ERROR_INSTANTIATION

See Also:
  Constant Field Values

### HTTP_ERROR_INSTANTIATION_ID

    public static final int HTTP_ERROR_INSTANTIATION_ID

See Also:
  Constant Field Values

### HTTP_ERROR_ILLEGAL_ACCESS

    public static final java.lang.String HTTP_ERROR_ILLEGAL_ACCESS

See Also:
  Constant Field Values

### HTTP_ERROR_ILLEGAL_ACCESS_ID

    public static final int HTTP_ERROR_ILLEGAL_ACCESS_ID

See Also:
  Constant Field Values

### HTTP_ERROR_SERVICE_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_SERVICE_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_SERVICE_NOT_FOUND_ID

    public static final int HTTP_ERROR_SERVICE_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_INSTANCE_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_INSTANCE_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_INSTANCE_NOT_FOUND_ID

    public static final int HTTP_ERROR_INSTANCE_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_CLASS_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_CLASS_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_CLASS_NOT_FOUND_ID

    public static final int HTTP_ERROR_CLASS_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_PROPERTY_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_PROPERTY_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_PROPERTY_NOT_FOUND_ID

    public static final int HTTP_ERROR_PROPERTY_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_INVOCATION_TARGET

    public static final java.lang.String HTTP_ERROR_INVOCATION_TARGET

See Also:
  Constant Field Values

### HTTP_ERROR_INVOCATION_TARGET_ID

    public static final int HTTP_ERROR_INVOCATION_TARGET_ID

See Also:
  Constant Field Values

### HTTP_ERROR_INVALID_PROP_VALUE

    public static final java.lang.String HTTP_ERROR_INVALID_PROP_VALUE

See Also:
  Constant Field Values

### HTTP_ERROR_INVALID_PROP_VALUE_ID

    public static final int HTTP_ERROR_INVALID_PROP_VALUE_ID

See Also:
  Constant Field Values

### HTTP_ERROR_INSTANCE_ALREADY_EXISTS

    public static final java.lang.String HTTP_ERROR_INSTANCE_ALREADY_EXISTS

See Also:
  Constant Field Values

### HTTP_ERROR_INSTANCE_ALREADY_EXISTS_ID

    public static final int HTTP_ERROR_INSTANCE_ALREADY_EXISTS_ID

See Also:
  Constant Field Values

### HTTP_ERROR_NO_SUCH_METHOD

    public static final java.lang.String HTTP_ERROR_NO_SUCH_METHOD

See Also:
  Constant Field Values

### HTTP_ERROR_NO_SUCH_METHOD_ID

    public static final int HTTP_ERROR_NO_SUCH_METHOD_ID

See Also:
  Constant Field Values

### HTTP_ERROR_PERMISSION_DENIED

    public static final java.lang.String HTTP_ERROR_PERMISSION_DENIED

See Also:
  Constant Field Values

### HTTP_ERROR_PERMISSION_DENIED_ID

    public static final int HTTP_ERROR_PERMISSION_DENIED_ID

See Also:
  Constant Field Values

### HTTP_ERROR_REFLECTION

    public static final java.lang.String HTTP_ERROR_REFLECTION

See Also:
  Constant Field Values

### HTTP_ERROR_REFLECTION_ID

    public static final int HTTP_ERROR_REFLECTION_ID

See Also:
  Constant Field Values

### HTTP_ERROR_MBEAN_REGISTRATION

    public static final java.lang.String HTTP_ERROR_MBEAN_REGISTRATION

See Also:
  Constant Field Values

### HTTP_ERROR_MBEAN_REGISTRATION_ID

    public static final int HTTP_ERROR_MBEAN_REGISTRATION_ID

See Also:
  Constant Field Values

### HTTP_ERROR_MBEAN

    public static final java.lang.String HTTP_ERROR_MBEAN

See Also:
  Constant Field Values

### HTTP_ERROR_MBEAN_ID

    public static final int HTTP_ERROR_MBEAN_ID

See Also:
  Constant Field Values

### HTTP_ERROR_NOT_COMPLIANT_MBEAN

    public static final java.lang.String HTTP_ERROR_NOT_COMPLIANT_MBEAN

See Also:
  Constant Field Values

### HTTP_ERROR_NOT_COMPLIANT_MBEAN_ID

    public static final int HTTP_ERROR_NOT_COMPLIANT_MBEAN_ID

See Also:
  Constant Field Values

### HTTP_ERROR_MALFORMED_OBJECTNAME

    public static final java.lang.String HTTP_ERROR_MALFORMED_OBJECTNAME

See Also:
  Constant Field Values

### HTTP_ERROR_MALFORMED_OBJECTNAME_ID

    public static final int HTTP_ERROR_MALFORMED_OBJECTNAME_ID

See Also:
  Constant Field Values

### HTTP_ERROR_ATTRIBUTE_NOT_FOUND

    public static final java.lang.String HTTP_ERROR_ATTRIBUTE_NOT_FOUND

See Also:
  Constant Field Values

### HTTP_ERROR_ATTRIBUTE_NOT_FOUND_ID

    public static final int HTTP_ERROR_ATTRIBUTE_NOT_FOUND_ID

See Also:
  Constant Field Values

### HTTP_ERROR_INTROSPECTION

    public static final java.lang.String HTTP_ERROR_INTROSPECTION

See Also:
  Constant Field Values

### HTTP_ERROR_INTROSPECTION_ID

    public static final int HTTP_ERROR_INTROSPECTION_ID

See Also:
  Constant Field Values

### HTTP_ERROR_SET_ATTRIBUTES

    public static final java.lang.String HTTP_ERROR_SET_ATTRIBUTES

See Also:
  Constant Field Values

### HTTP_ERROR_SET_ATTRIBUTES_ID

    public static final int HTTP_ERROR_SET_ATTRIBUTES_ID

See Also:
  Constant Field Values

### HTTP_BAD_REQUEST

    public static final int HTTP_BAD_REQUEST

See Also:
  Constant Field Values

### HTTP_GET_REQUEST

    public static final int HTTP_GET_REQUEST

See Also:
  Constant Field Values

### HTTP_POST_REQUEST

    public static final int HTTP_POST_REQUEST

See Also:
  Constant Field Values

### HTTP_HEAD_REQUEST

    public static final int HTTP_HEAD_REQUEST

See Also:
  Constant Field Values

### CONTENT_LENGTH_HEADER

    public static final java.lang.String CONTENT_LENGTH_HEADER

See Also:
  Constant Field Values

### CONTENT_TYPE_HEADER

    public static final java.lang.String CONTENT_TYPE_HEADER

See Also:
  Constant Field Values

### DATE_HEADER

    public static final java.lang.String DATE_HEADER

See Also:
  Constant Field Values

### CONNECTION

    public static final java.lang.String CONNECTION

See Also:
  Constant Field Values

### WWW_AUTHENTICATE_HEADER

    public static final java.lang.String WWW_AUTHENTICATE_HEADER

See Also:
  Constant Field Values

### AUTHORIZATION_HEADER

    public static final java.lang.String AUTHORIZATION_HEADER

See Also:
  Constant Field Values

Constructor Detail

### HttpConstants

    public HttpConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD